+ Add Question

Is it possible to get an iOS 5 compatible version of Todoist?

R

I'm stuck on iOS 5 due to other compatibility issues. Is it possible to get an older version of Todoist? The version in the app store requires iOS 6. Thanks!

All responses

Brendon Wadey staff
Replied on Jul 25, 2013 - 17:07 UTC

Hi Rachael,

Unfortunately, we are not able to provide an older version of the application. Unlike Android, you are required to install apps through the Apple Store. We could post another version of our app to the Store, but we do not want people using our older version in general. There have been many improvements made.

If it's not too much trouble, can I ask why you are unable to upgrade to iOS 6+?

Thanks, and sorry about this,
Brendon.

R
Rachael premium
Replied on Jul 25, 2013 - 22:59 UTC

The map debacle -- the workarounds for public transit in my city simply don't compare to default Google Maps, which I use constantly.

Brendon Wadey staff
Replied on Jul 25, 2013 - 23:26 UTC

Rachael,

Forgive me if I am wrong but didn't Google release a standalone version of Google Maps for iOS?

I have my iPad on version 6.1.3 and I can install the following Google Maps : https://itunes.apple.com/ca/app/google-maps/id585027354?mt=8

I assume you were talking about the "crappy" maps Apple came out with the latest version.

Thanks,
Brendon.

OR
Opey Russ
Replied on Aug 23, 2013 - 23:00 UTC

I would like an iOS 5 version as well. Because I have an iPad 1 and it does not run iOS 6. Plain and simple. Please provide the earlier version. I'm a premium subscriber also

David Trey staff
Replied on Aug 24, 2013 - 11:02 UTC

Hello Opey,

Unfortunately, we don't offer an iOS 5 compatible app and our current app requires iOS 6 or later.


Best regards,
David

DE
David Edrich
Replied on Sep 07, 2013 - 19:49 UTC

This is really a problem for me too. Same reasons. I saw in another post that there is a 2.3 version for ios 5. Can we get that somehow ? I just signed up now. I'll just have to find a different service if this can't workout. I guess there are plenty of them.

Brendon Wadey staff
Replied on Sep 07, 2013 - 22:55 UTC

David,

We have given an older version in the past but we do not support this anymore. We are sorry for the inconvenience.

Thanks,
Brendon.

R
Rachael premium
Replied on Sep 17, 2013 - 14:27 UTC

The app store is now letting users download the last compatible version. I was able to install Todoist.

Thanks!

SP
Simon Powell
Replied on Oct 28, 2013 - 11:18 UTC

Has anyone been able to download the iOS6 version since iOS7 came out? I'm unable to run iOS7 on my 3GS but I'd love to try Todoist on my phone.

MK
Martijn Kraan premium
Replied on Dec 22, 2013 - 10:31 UTC

Same question as Simon: is it possible to run the app on a iphone 3gs?

David Trey staff
Replied on Dec 22, 2013 - 14:32 UTC

Hello Martijn,

Unfortunately, our iOS app requires iOS 7 to be installed on your device.


Best regards,
David

SC
Sharon Cory Johnson
Replied on Jan 01, 2014 - 20:46 UTC

I was given an IPad 1 for Christmas. Does anyone have the old version of Todoist that would run on it?

Sharon